> For the complete documentation index, see [llms.txt](https://docs.halosecurity.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.halosecurity.com/docs/integrations/discovery-integrations/akamai.md).

# Akamai

Import assets from Akamai.

{% hint style="info" %}
This integration is currently in Beta.
{% endhint %}

The Halo Security platform integrates with Akamai Edge DNS through secure API connections to monitor DNS zones, domain records, and origin IP addresses. 

Connect your Akamai account with Halo Security to automatically import data into your account.&#x20;

## Create Akamai authentication credentials

1. Sign in to your Akamai account
2. Navigate to [Identity and Access Management](https://control.akamai.com/apps/identity-management/#/tabs/users/list) in Akamai Control Center
3. Follow the instructions in the [Akamai documentation](https://techdocs.akamai.com/developer/docs/edgegrid) to generate your:
   1. `client_secret`
   2. `host`
   3. `access_token`
   4. `client_token`

## Setup the integration

1. Visit your *Settings → Integrations →* [Add](https://app.halosecurity.com/user/settings/integrations/add).
2. Add the Akamai integration.
3. Add a name for your integration.
4. Navigate to the Integration Settings.
5. Enter you Akamai authentication credentials
   1. Access Token
   2. Client Secret
   3. Client Token
   4. Host
6. Click **Save Changes**.

## Using the integration

Now that your account is integrated with Akamai, you may run the integration. After it has been run, new **Zones** and **Records** will populate. Viewing either of these pages will allow you to add individual zones (domain names) and records (subdomain names and IP addresses).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.halosecurity.com/docs/integrations/discovery-integrations/akamai.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
